## feff85exafs 0.2%2Bdfsg

=== attic/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append( 'src' )
from FeffBuild import CompilationEnvironment, InstallEnvironment

import os

env  = CompilationEnvironment()

#env = Environment()
print '\n\tFortran compiler is ' + env['FORTRAN']
ienv = InstallEnvironment()
print "\tinstallation prefix is: " + ienv['i_prefix'] +"\n"


fortran = ['src/PAR/SConstruct',
            'src/COMMON/SConstruct',
            'src/json-fortran/SConstruct',
            'src/JSON/SConstruct',
            'src/MATH/SConstruct',
            'src/ATOM/SConstruct',
            'src/DEBYE/SConstruct',
            'src/EXCH/SConstruct',
            'src/FOVRG/SConstruct',
            'src/FMS/SConstruct',
            'src/RDINP/SConstruct',
            'src/OPCONSAT/SConstruct',
            'src/POT/SConstruct',
            'src/XSPH/SConstruct',
            'src/PATH/SConstruct',
            'src/GENFMT/SConstruct',
	    'src/FF2X/SConstruct',]
python   = [
    #'wrappers/python/SConstruct',
    'tests/SConstruct',
]

if os.name == 'nt':
    everything = fortran
else:
    everything = fortran + python

SConscript(everything)


#env = Environment(BUILDERS = {'MyBuild' : b})
#env.MyBuild(join(home, larch_dir, 'plugins', 'f85ut.py'), join('tests', 'f85ut.py'))


# RDINP  -> feff.inp reader
# POT    -> module 1
# XSPH   -> module 2
# FMS    -> module 3, executable is not a part of feff85exafs
# PATH   -> module 4
# GENFMT -> module 5
# FF2X   -> module 6

=== src/MATH/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys, os
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

## Quiet compiler warnings on LAPACK and other well-tested files
flags = env['FORTRANFLAGS']
env['FORTRANFLAGS'] = flags.replace('-Wall', '')

lib_src = ['bcoef.f', 'besjn.f', 'conv.f', 'csomm.f', 'cwig3j.f', 'determ.f', 'exjlnl.f', 'phamp.f',
           'quartc.f', 'sdist.f', 'somm2.f', 'terp.f', 'trap.f', 'besjh.f', 'bjnser.f', 'cpl0.f',
           'csomm2.f', 'czeros.f', 'dist.f', 'lu.f', 'polint.f', 'rotwig.f', 'somm.f', 'strap.f', 
           'terpc.f']


deps = ('COMMON/wlog', 'COMMON/str', 'COMMON/chopen', 'PAR/sequential')

env.Library('libfeffmath', lib_src) # + FindOtherObjects(deps, env))

## needed for libonepath and libfeffpath shared objects
if os.name != 'nt':
    env.SharedObject('bcoef' +env['SHOBJSUFFIX'], source='bcoef.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('besjh' +env['SHOBJSUFFIX'], source='besjh.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('besjn' +env['SHOBJSUFFIX'], source='besjn.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('bjnser'+env['SHOBJSUFFIX'], source='bjnser.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('csomm' +env['SHOBJSUFFIX'], source='csomm.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('csomm2'+env['SHOBJSUFFIX'], source='csomm2.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('cwig3j'+env['SHOBJSUFFIX'], source='cwig3j.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('czeros'+env['SHOBJSUFFIX'], source='czeros.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('determ'+env['SHOBJSUFFIX'], source='determ.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('dist'  +env['SHOBJSUFFIX'], source='dist.f',   FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('exjlnl'+env['SHOBJSUFFIX'], source='exjlnl.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('lu'    +env['SHOBJSUFFIX'], source='lu.f',     FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('phamp' +env['SHOBJSUFFIX'], source='phamp.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('polint'+env['SHOBJSUFFIX'], source='polint.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('rotwig'+env['SHOBJSUFFIX'], source='rotwig.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('somm'  +env['SHOBJSUFFIX'], source='somm.f',   FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('somm2' +env['SHOBJSUFFIX'], source='somm2.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('terp'  +env['SHOBJSUFFIX'], source='terp.f',   FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('terpc' +env['SHOBJSUFFIX'], source='terpc.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('trap'  +env['SHOBJSUFFIX'], source='trap.f',   FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')

#env.Install(ienv['i_lib'], 'libfeffmath' + env['SHLIBSUFFIX'])
#env.Alias('install', ienv['i_lib'])

=== debian/changelog ===
feff85exafs (0.2+dfsg-3) unstable; urgency=medium

  * Drop build-dependency on python3-pkg-resources (Closes: #1083389)
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Jan 2025 02:31:17 -0500

feff85exafs (0.2+dfsg-2) unstable; urgency=medium

  * Add missing build and run dependency on python3-pkg-resources.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/todo.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Jun 2022 06:54:55 -0400

feff85exafs (0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1005320)

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Feb 2022 07:56:39 -0500

## feff85exafs 0.2+dfsg

=== Makefile ===
export PREFIX  = /usr/local
export PREFIX =  ${CURDIR}/local_install

export BASEDIR = ${CURDIR}
# installation location for programs, libraries, and include files:
export BINDIR  = $(PREFIX)/bin
export LIBDIR  = $(PREFIX)/lib
export INCDIR  = $(PREFIX)/include

###########################################################################################
# gcc (tested on Ubuntu linux with gcc 5.4.0, darwin with gcc 6.3)                        #
###########################################################################################

## compile Feff's Fortran, including the F90 bits
export FORTRAN  = gfortran
export SHARED   = -shared
export FCFLAGS  = -c -O3 -ffree-line-length-none -g -Wall -fPIC
export FJSON    = -I$(BASEDIR)/src/json-fortran -J$(BASEDIR)/src/json-fortran
export FLINKARGS =

## compile the C wrappers for phases and paths
export CC       = gcc
export CCFLAGS  = -c -g -fPIC

## compile json-fortran, which is F2008
export F90      = gfortran
export F90FLAGS = -std=f2008 -c -O2 -fbacktrace -g -Wall -Wextra -Wno-maybe-uninitialized -pedantic -fPIC
###########################################################################################

###########################################################################################
## gnu tools on linux
export AR      = ar
export ARFLAGS = rvc
export RANLIB  = ranlib
export RM      = rm -f
export COPY    = cp -v
export MAKEDIR = mkdir -p
###########################################################################################

###########################################################################################
## file extensions for static object archives, shared object libraries, and executables
export ARCHV = .a
export SHOBJ = .so
export EXEXT =

ifeq ($(OS),Windows_NT)
    UNAME = Windows_NT
    SHOBJ = .dll
    EXEXT = .exe
    FCFLAGS  = -c -O3 -ffree-line-length-none -g -Wall
else
    UNAME := $(shell uname -s)
    ifeq ($(UNAME),Darwin)
        SHOBJ = .dylib
        FLINKARGS =  -headerpad_max_install_names
    endif
endif
###########################################################################################


all:
	$(MAKE) -C src/PAR -j4
	$(MAKE) -C src/COMMON -j4
	$(MAKE) -C src/json-fortran -j1
	$(MAKE) -C src/JSON -j4
	$(MAKE) -C src/MATH -j4
	$(MAKE) -C src/ATOM -j4
	$(MAKE) -C src/DEBYE -j4
	$(MAKE) -C src/EXCH -j4
	$(MAKE) -C src/FOVRG -j4
	$(MAKE) -C src/FMS -j4
	$(MAKE) -C src/RDINP -j4
#	$(MAKE) -C src/OPCONSAT -j4
	$(MAKE) -C src/POT -j4
	$(MAKE) -C src/XSPH -j4
	$(MAKE) -C src/PATH -j4
	$(MAKE) -C src/FF2X -j4
	$(MAKE) -C src/GENFMT -j4
	$(MAKE) -C src/feff6l -j4

install: all
	$(MAKEDIR) $(BINDIR) $(LIBDIR) $(INCDIR)
	$(COPY) bin/feff8l $(BINDIR)
	$(MAKE) -C src/ATOM   -j4 install
	$(MAKE) -C src/COMMON -j4 install
	$(MAKE) -C src/DEBYE  -j4 install
	$(MAKE) -C src/EXCH   -j4 install
	$(MAKE) -C src/FF2X   -j4 install
	$(MAKE) -C src/FMS    -j4 install
	$(MAKE) -C src/FOVRG  -j4 install
	$(MAKE) -C src/GENFMT -j4 install
	$(MAKE) -C src/JSON   -j4 install
	$(MAKE) -C src/MATH   -j4 install
#	$(MAKE) -C src/OPCONSAT -j4 install
	$(MAKE) -C src/PAR    -j4 install
	$(MAKE) -C src/PATH   -j4 install
	$(MAKE) -C src/POT    -j4 install
	$(MAKE) -C src/RDINP  -j4 install
	$(MAKE) -C src/XSPH   -j4 install
	$(MAKE) -C src/json-fortran -j1 install
	$(MAKE) -C src/feff6l -j4 install


clean:
	$(MAKE) -C src/ATOM   clean
	$(MAKE) -C src/COMMON clean
	$(MAKE) -C src/DEBYE  clean
	$(MAKE) -C src/EXCH   clean
	$(MAKE) -C src/FF2X   clean
	$(MAKE) -C src/FMS    clean
	$(MAKE) -C src/FOVRG  clean
	$(MAKE) -C src/GENFMT clean
	$(MAKE) -C src/JSON   clean
	$(MAKE) -C src/MATH   clean
#	$(MAKE) -C src/OPCONSAT clean
	$(MAKE) -C src/PAR    clean
	$(MAKE) -C src/PATH   clean
	$(MAKE) -C src/POT    clean
	$(MAKE) -C src/RDINP  clean
	$(MAKE) -C src/XSPH   clean
	$(MAKE) -C src/json-fortran clean
	$(MAKE) -C src/feff6l clean

.PHONEY: 	all install clean

=== src/ATOM/Makefile ===

PREFIX  ?= /usr/local
LIBDIR  ?= $(PREFIX)/lib

FORTRAN ?= gfortran
FCFLAGS ?= -c -O3 -ffree-line-length-none -g -Wall -fPIC
FJSON   ?= -I../json-fortran -J../json-fortran
AR      ?= ar
ARFLAGS ?= rvc
RANLIB  ?= ranlib
RM      ?= rm

COPY    ?= cp -v

ARCHV   ?= .a

objects = akeato.o cofcon.o etotal.o fpf0.o lagdat.o nucdev.o	\
potslw.o soldir.o wfirdf.o aprdev.o dentfa.o fdmocc.o inmuat.o	\
messer.o ortdat.o s02at.o tabrat.o yzkrdf.o bkmrdf.o dsordf.o	\
fdrirk.o intdir.o muatco.o potrdf.o scfdat.o vlda.o yzkteg.o


deps = ../COMMON/wlog.o ../COMMON/getorb.o ../COMMON/str.o		\
../PAR/sequential.o ../MATH/determ.o ../MATH/somm.o ../MATH/somm2.o	\
../MATH/cwig3j.o ../EXCH/vbh.o ../EXCH/edp.o


all:	libfeffatom$(ARCHV)

libfeffatom$(ARCHV):	$(objects) $(deps)
	$(AR) $(ARFLAGS) libfeffatom$(ARCHV) $(objects) $(deps)
	$(RANLIB) libfeffatom$(ARCHV)


../COMMON/wlog.o:	../COMMON/wlog.f
../COMMON/getorb.o:	../COMMON/getorb.f
../COMMON/str.o:	../COMMON/str.f
../PAR/sequential.o:	../PAR/sequential.f
../MATH/determ.o:	../MATH/determ.f
../MATH/somm.o:		../MATH/somm.f
../MATH/somm2.o:	../MATH/somm2.f
../MATH/cwig3j.o:	../MATH/cwig3j.f
../EXCH/vbh.o:		../EXCH/vbh.f
../EXCH/edp.o:		../EXCH/edp.f

fpf0.o:		fpf0.f   ../HEADERS/dim.h ../HEADERS/const.h ../HEADERS/parallel.h
scfdat.o:	scfdat.f ../HEADERS/dim.h                    ../HEADERS/parallel.h
vlda.o:		vlda.f                    ../HEADERS/const.h

%.o:	%.f
	$(FORTRAN) $(FCFLAGS) $(FJSON) -o $@ $<


clean:
	$(RM) *$(ARCHV) *.o

INSTARCH = @echo "Nothing to install in ATOM"
ifdef INSTALL_ARCHIVES
INSTARCH = $(COPY) libfeffatom$(ARCHV) $(LIBDIR)
endif

install:
	$(INSTARCH)

.PHONEY:	clean all install

=== src/ATOM/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('akeato.f  cofcon.f  etotal.f  fpf0.f   lagdat.f  nucdev.f  potslw.f  soldir.f \
                 wfirdf.f  aprdev.f  dentfa.f  fdmocc.f inmuat.f  messer.f  ortdat.f  s02at.f  \
                 tabrat.f  yzkrdf.f  bkmrdf.f  dsordf.f fdrirk.f  intdir.f  muatco.f  potrdf.f \
                 scfdat.f  vlda.f    yzkteg.f')


deps = ('COMMON/wlog', 'COMMON/getorb', 'COMMON/str',
        'PAR/sequential', 'MATH/determ', 'MATH/somm',
        'MATH/somm2', 'MATH/cwig3j', 'EXCH/vbh', 'EXCH/edp')

lib = env.Library('libfeffatom', lib_src) #  + FindOtherObjects(deps, env))

env.Depends('fpf0.f', join('..', 'json-fortran', 'json_module.mod'))

#env.Install(ienv['i_lib'], lib)
#env.Alias('install', ienv['i_lib'])

env.SharedObject(lib_src)
#env.SharedObject(['potslw.f', 'scfdat.f', 'vlda.f', 'inmuat.f', 'muatco.f', 'soldir.f', 'potrdf.f',
#                  'ortdat.f', 'messer.f', 'etotal.f', 'lagdat.f', 'dsordf.f'])

=== src/COMMON/Makefile ===


PREFIX  ?= /usr/local
LIBDIR  ?= $(PREFIX)/lib

FORTRAN ?= gfortran
FCFLAGS ?= -c -O3 -ffree-line-length-none -g -Wall -fPIC
FJSON   ?= -I../json-fortran -J../json-fortran
AR      ?= ar
ARFLAGS ?= rvc
RANLIB  ?= ranlib
RM      ?= rm
COPY    ?= cp -v

ARCHV   ?= .a

objects = chopen.o fixvar.o head.o itoken.o pertab.o rdcmt.o rdxsph.o	\
str.o xx.o fixdsp.o getorb.o iniptz.o nxtunt.o pijump.o rdhead.o	\
setgam.o str2dp.o fixdsx.o getxk.o isnum.o padlib.o qsorti.o rdpot.o	\
setkap.o wlog.o


all:	libfeffcom$(ARCHV)

libfeffcom$(ARCHV):	$(objects) padlib.h
	$(AR) $(ARFLAGS) libfeffcom$(ARCHV) $(objects)
	$(RANLIB) libfeffcom$(ARCHV)

fixdsp.o:	fixdsp.f ../HEADERS/dim.h ../HEADERS/const.h
fixdsx.o:	fixdsx.f ../HEADERS/dim.h ../HEADERS/const.h
fixvar.o:	fixvar.f ../HEADERS/dim.h ../HEADERS/const.h
head.o:		head.f   ../HEADERS/dim.h ../HEADERS/const.h ../HEADERS/vers.h
padlib.o:	padlib.f padlib.h
pijump.o:	pijump.f ../HEADERS/const.h
rdpot.o:	rdpot.f  ../HEADERS/dim.h
rdxsph.o:	rdxsph.f ../HEADERS/dim.h
wlog.o:		wlog.f   ../HEADERS/parallel.h

%.o:	%.f
	$(FORTRAN) $(FCFLAGS) $(FJSON) -o $@ $<


clean:
	$(RM) *.a *.o

INSTARCH = @echo "Nothing to install in COMMON"
ifdef INSTALL_ARCHIVES
INSTARCH = $(COPY) libfeffcom$(ARCHV) $(LIBDIR)
endif

install:
	$(INSTARCH)

.PHONEY:	clean all install

=== src/COMMON/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys, os
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('chopen.f  fixvar.f  head.f    itoken.f  pertab.f  rdcmt.f   rdxsph.f  str.f    \
                 xx.f      fixdsp.f  getorb.f  iniptz.f  nxtunt.f  pijump.f  rdhead.f  setgam.f \
                 str2dp.f  fixdsx.f  getxk.f   isnum.f   padlib.f  qsorti.f  rdpot.f   setkap.f \
                 wlog.f')

#deps = ('PAR/sequential', 'MATH/terp', 'MATH/polint')

env.Library('libfeffcom', lib_src) # + FindOtherObjects(deps, env, 'static'))

## needed for libonepath and libfeffpath shared objects
if os.name != 'nt':
    env.SharedObject('chopen'+env['SHOBJSUFFIX'], source='chopen.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fixdsp'+env['SHOBJSUFFIX'], source='fixdsp.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fixdsx'+env['SHOBJSUFFIX'], source='fixdsx.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fixvar'+env['SHOBJSUFFIX'], source='fixvar.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('getorb'+env['SHOBJSUFFIX'], source='getorb.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('getxk' +env['SHOBJSUFFIX'], source='getxk.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('head'  +env['SHOBJSUFFIX'], source='head.f',   FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('padlib'+env['SHOBJSUFFIX'], source='padlib.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('pertab'+env['SHOBJSUFFIX'], source='pertab.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('pijump'+env['SHOBJSUFFIX'], source='pijump.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('rdcmt' +env['SHOBJSUFFIX'], source='rdcmt.f',  FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('rdxsph'+env['SHOBJSUFFIX'], source='rdxsph.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('setgam'+env['SHOBJSUFFIX'], source='setgam.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('setkap'+env['SHOBJSUFFIX'], source='setkap.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('str'   +env['SHOBJSUFFIX'], source='str.f',    FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('wlog'  +env['SHOBJSUFFIX'], source='wlog.f',   FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('xx'    +env['SHOBJSUFFIX'], source='xx.f',     FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')


#env.Install(ienv['i_lib'], 'libfeffcom' + env['SHLIBSUFFIX'])
#env.Alias('install', ienv['i_lib'])

=== src/DEBYE/Makefile ===


PREFIX  ?= /usr/local
LIBDIR  ?= $(PREFIX)/lib

FORTRAN ?= gfortran
FCFLAGS ?= -c -O3 -ffree-line-length-none -g -Wall -fPIC
AR      ?= ar
ARFLAGS ?= rvc
RANLIB  ?= ranlib
RM      ?= rm
COPY    ?= cp -v
ARCHV   ?= .a

objects = sigcl.o  sigm3.o  sigms.o  sigrem.o  sigte3.o


deps = ../COMMON/wlog.o ../COMMON/str.o ../COMMON/itoken.o	\
../COMMON/pertab.o ../COMMON/chopen.o ../MATH/dist.o		\
../PAR/sequential.o


all:	libfeffdw$(ARCHV)

libfeffdw$(ARCHV):	$(objects) $(deps)
	$(AR) $(ARFLAGS) libfeffdw$(ARCHV) $(objects) $(deps)
	$(RANLIB) libfeffdw$(ARCHV)


../COMMON/wlog.o:	../COMMON/wlog.f
../COMMON/str.o:	../COMMON/str.f
../COMMON/itoken.o:	../COMMON/itoken.f
../COMMON/pertab.o:	../COMMON/pertab.f
../COMMON/chopen.o:	../COMMON/chopen.f
../MATH/dist.o:		../MATH/dist.f
../PAR/sequential.o:	../PAR/sequential.f

sigcl.o:	sigcl.f  ../HEADERS/const.h
sigms.o:	sigms.f  ../HEADERS/const.h
sigrem.o:	sigrem.f ../HEADERS/parallel.h

%.o:	%.f
	$(FORTRAN) $(FCFLAGS) -o $@ $<


clean:
	$(RM) *$(ARCHV) *.o

INSTARCH = @echo "Nothing to install in DEBYE"
ifdef INSTALL_ARCHIVES
INSTARCH = $(COPY) libfeffdw$(ARCHV) $(LIBDIR)
endif

install:
	$(INSTARCH)

.PHONEY:	clean all install

=== src/DEBYE/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('sigcl.f  sigm3.f  sigms.f  sigrem.f  sigte3.f')

deps = ('COMMON/wlog', 'COMMON/str', 'COMMON/itoken', 'COMMON/pertab',
        'COMMON/chopen', 'MATH/dist', 'PAR/sequential')

env.Library('libfeffdw', lib_src) # + FindOtherObjects(deps, env))

#env.Install(ienv['i_lib'], 'libfeffdw' + env['LIBSUFFIX'])
#env.Alias('install', ienv['i_lib'])

=== src/EXCH/Makefile ===


PREFIX  ?= /usr/local
LIBDIR  ?= $(PREFIX)/lib

FORTRAN ?= gfortran
FCFLAGS ?= -c -O3 -ffree-line-length-none -g -Wall -fPIC
FJSON   ?= -I../json-fortran -J../json-fortran
AR      ?= ar
ARFLAGS ?= rvc
RANLIB  ?= ranlib
RM      ?= rm
COPY    ?= cp -v
ARCHV   ?= .a

objects = csigma.o csigz.o cubic.o edp.o ffq.o fndsng.o imhl.o mpse.o	\
qsorti.o quinn.o rhl.o rhlbp.o vbh.o xcpot.o

all:	libfeffexch$(ARCHV)

libfeffexch$(ARCHV):	$(objects)
	$(AR) $(ARFLAGS) libfeffexch$(ARCHV) $(objects)
	$(RANLIB) libfeffexch$(ARCHV)

csigma.o:	csigma.f ../HEADERS/const.h
csigz.o:	csigz.f  ../HEADERS/const.h
edp.o:		edp.f    ../HEADERS/const.h
imhl.o:		imhl.f   ../HEADERS/const.h
mpse.o:		mpse.f   ../HEADERS/const.h   ../HEADERS/dim.h
quinn.o:	quinn.f  ../HEADERS/const.h
rhl.o:		rhl.f    ../HEADERS/const.h
rhlbp.o:	rhlbp.f  ../HEADERS/const.h
xcpot.o:	xcpot.o  ../HEADERS/const.h   ../HEADERS/dim.h


%.o:	%.f
	$(FORTRAN) $(FCFLAGS) $(FJSON) -o $@ $<


clean:
	$(RM) *$(ARCHV) *.o

INSTARCH = @echo "Nothing to install in EXCH"
ifdef INSTALL_ARCHIVES
INSTARCH = $(COPY) libfeffexch$(ARCHV) $(LIBDIR)
endif

install:
	$(INSTARCH)

.PHONEY:	clean all install

=== src/EXCH/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('csigma.f  csigz.f  cubic.f  edp.f  ffq.f  fndsng.f  imhl.f  mpse.f \
                 qsorti.f  quinn.f  rhl.f  rhlbp.f  vbh.f  xcpot.f')

deps = ('COMMON/wlog', 'COMMON/str', 'COMMON/rdcmt', 'COMMON/pertab',
        'COMMON/chopen', 'MATH/czeros', 'MATH/terp', 'MATH/polint', 'PAR/sequential')

env.Library('libfeffexch', lib_src) # + FindOtherObjects(deps, env))

#env.Install(ienv['i_lib'], 'libfeffexch' + env['SHLIBSUFFIX'])
#env.Alias('install', ienv['i_lib'])

#env.SharedObject(['edp.f', 'csigma.f', 'csigz.f', 'ffq.f', 'imhl.f', 'quinn.f', 'rhl.f', 'rhlbp.f', 'vbh.f', 'xcpot.f'])
env.SharedObject(lib_src)

=== src/FF2X/Makefile ===


PREFIX  ?= /usr/local
BINDIR  ?= $(PREFIX)/bin

FORTRAN ?= gfortran
FCFLAGS ?= -c -O3 -ffree-line-length-none -g -Wall -fPIC
FJSON   ?= -I../json-fortran -J../json-fortran
AR      ?= ar
ARFLAGS ?= rvc
RANLIB  ?= ranlib
RM	?= rm

COPY    ?= cp -v
ARCHV   ?= .a

objects = exconv.o feffdt.o fdtarr.o fdthea.o ff2afs.o ff2chi.o ff2xmu.o	\
ffmod6.o fprime.o ff2gen.o rdfbin.o reff2x.o xscorr.o

archives = ../json-fortran/libjsonfortran$(ARCHV)	\
../DEBYE/libfeffdw$(ARCHV) ../COMMON/libfeffcom$(ARCHV)	\
../PAR/libfeffpar$(ARCHV) ../MATH/libfeffmath$(ARCHV)	\
../JSON/libfeffjson$(ARCHV)


all:	otherdirs feff8l_ff2x$(EXEXT)

feff8l_ff2x$(EXEXT):	$(objects) $(archives)
	$(FORTRAN) $(objects) $(archives) -o $@

%.o:	%.f
	$(FORTRAN) $(FCFLAGS) $(FJSON) -o $@ $<

fdtarr.o:	fdtarr.f ../HEADERS/const.h ../HEADERS/dim.h
fdthea.o:	fdthea.f ../HEADERS/const.h ../HEADERS/dim.h
fdtxdi.o:	fdtxdi.f ../HEADERS/const.h ../HEADERS/dim.h ../HEADERS/vers.h
feffdt.o:	feffdt.f ../HEADERS/const.h ../HEADERS/dim.h ../HEADERS/vers.h
ff2afs.o:	ff2afs.f ../HEADERS/const.h ../HEADERS/dim.h
ff2chi.o:	ff2chi.f ../HEADERS/const.h ../HEADERS/dim.h
ff2gen.o:	ff2gen.f ../HEADERS/const.h ../HEADERS/dim.h ../HEADERS/vers.h
ff2xmu.o:	ff2xmu.f ../HEADERS/const.h ../HEADERS/dim.h
ffmod6.o:	ffmod6.f                    ../HEADERS/dim.h ../HEADERS/parallel.h
fprime.o:	fprime.f ../HEADERS/const.h ../HEADERS/dim.h
reff2x.o:	reff2x.f ../HEADERS/const.h ../HEADERS/dim.h
xscorr.o:	xscorr.f ../HEADERS/const.h ../HEADERS/dim.h


clean:
	$(RM) *.o feff8l_ff2x$(EXEXT)

install:
	$(COPY) feff8l_ff2x$(EXEXT) $(BINDIR)

otherdirs:
	$(MAKE) -C ../json-fortran libjsonfortran$(ARCHV)
	$(MAKE) -C ../DEBYE        libfeffdw$(ARCHV)
	$(MAKE) -C ../COMMON       libfeffcom$(ARCHV)
	$(MAKE) -C ../PAR          libfeffpar$(ARCHV)
	$(MAKE) -C ../MATH         libfeffmath$(ARCHV)
	$(MAKE) -C ../JSON         libfeffjson$(ARCHV)

.PHONEY:	clean install all otherdirs

=== src/FF2X/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys, os
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

bin_src = ['exconv.f',  'feffdt.f',  'fdtarr.f', 'fdthea.f', 'ff2afs.f',  'ff2chi.f',  'ff2xmu.f',  'ffmod6.f',
           'fprime.f', 'ff2gen.f', 'rdfbin.f',  'reff2x.f',  'xscorr.f']
#not_in_f85e = []
libs = [join('..', 'json-fortran', 'libjsonfortran.a'),
        join('..', 'DEBYE',  'libfeffdw.a'),
        join('..', 'COMMON', 'libfeffcom.a'),
        join('..', 'PAR',    'libfeffpar.a'),
        join('..', 'MATH',   'libfeffmath.a'),
        join('..', 'JSON',   'libfeffjson.a'),
    ]



env.Program('ff2x', bin_src + libs)

if os.name != 'nt':
    env.SharedObject('fdtarr'+env['SHOBJSUFFIX'], source='fdtarr.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fdthea'+env['SHOBJSUFFIX'], source='fdthea.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fdtxdi'+env['SHOBJSUFFIX'], source='fdtxdi.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('xscorr'+env['SHOBJSUFFIX'], source='xscorr.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')

env.Install(ienv['i_bin'], 'ff2x'+env['PROGSUFFIX'])
env.Alias('install', ienv['i_bin'])

=== src/FMS/Makefile ===


PREFIX  ?= /usr/local
LIBDIR  ?= $(PREFIX)/lib

FORTRAN ?= gfortran
FCFLAGS ?= -c -O3 -ffree-line-length-none -g -Wall -fPIC
AR      ?= ar
ARFLAGS ?= rvc
RANLIB  ?= ranlib
RM      ?= rm
COPY    ?= cp -v
ARCHV   ?= .a

objects = fmsie.o fmspack.o ggbi.o gggm.o gglu.o ggrm.o ggtf.o xstaff.o yprep.o


libfefffms$(ARCHV):	$(objects)
	$(AR) $(ARFLAGS) libfefffms$(ARCHV) $(objects)
	$(RANLIB) libfefffms$(ARCHV)

ffmod3.o:	ffmod3.f  ../HEADERS/dim.h ../HEADERS/parallel.h
fmsie.o:	fmsie.f   ../HEADERS/dim.h
fmspack.o:	fmspack.f ../HEADERS/dim.h ../HEADERS/parallel.h xparam.h
fmstot.o:	fmstot.f  ../HEADERS/dim.h ../HEADERS/const.h ../HEADERS/parallel.h
ggbi.o:		ggbi.f    ../HEADERS/dim.h xparam.h
gggm.o:		gggm.f    ../HEADERS/dim.h xparam.h
gglu.o:		gglu.f    ../HEADERS/dim.h xparam.h
ggrm.o:		ggrm.f    ../HEADERS/dim.h xparam.h
ggtf.o:		ggtf.f    ../HEADERS/dim.h xparam.h
reafms.o:	reafms.f  ../HEADERS/dim.h ../HEADERS/const.h
xprep.o:	xprep.f   ../HEADERS/dim.h ../HEADERS/parallel.h xparam.h
xstaff.o:	xstaff.f  ../HEADERS/dim.h xparam.h
yprep.o:	yprep.f   ../HEADERS/dim.h xparam.h


%.o:	%.f
	$(FORTRAN) $(FCFLAGS) -o $@ $<


all:	libfefffms$(ARCHV)

clean:
	$(RM) *$(ARCHV) *.o

INSTARCH = @echo "Nothing to install in FMS"
ifdef INSTALL_ARCHIVES
INSTARCH = $(COPY) libfefffms$(ARCHV) $(LIBDIR)
endif

install:
	$(INSTARCH)

.PHONEY:	clean all install

=== debian/control ===
Source: feff85exafs
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gfortran,
 help2man,
 python3-pkg-resources,
 python3:any,
Standards-Version: 4.6.0
Homepage: https://github.com/xraypy/feff85exafs
Vcs-Browser: https://salsa.debian.org/science-team/feff85exafs
Vcs-Git: https://salsa.debian.org/science-team/feff85exafs.git
Rules-Requires-Root: no

Package: feff85exafs
Architecture: any
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Open Source theoretical EXAFS calculations
 The feff85exafs project aims to provide high quality theoretical standards for
 EXAFS analysis within an open source, freely re-distributable framework.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/xraypy/feff85exafs/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
